[Rear-users] SF.net SVN: rear:[338] trunk/usr/share/rear/output/USB/default/ 85_make_USB_bootable.sh

dag- at users.sourceforge.net dag- at users.sourceforge.net
Tue Apr 5 15:57:53 CEST 2011


Revision: 338
          http://rear.svn.sourceforge.net/rear/?rev=338&view=rev
Author:   dag-
Date:     2011-04-05 13:57:53 +0000 (Tue, 05 Apr 2011)

Log Message:
-----------
Disable vfat and ntfs support

Modified Paths:
--------------
    trunk/usr/share/rear/output/USB/default/85_make_USB_bootable.sh

Modified: trunk/usr/share/rear/output/USB/default/85_make_USB_bootable.sh
===================================================================
--- trunk/usr/share/rear/output/USB/default/85_make_USB_bootable.sh	2011-04-05 13:57:29 UTC (rev 337)
+++ trunk/usr/share/rear/output/USB/default/85_make_USB_bootable.sh	2011-04-05 13:57:53 UTC (rev 338)
@@ -29,13 +29,14 @@
     (ext?)
         extlinux -i "${BUILD_DIR}/netfs/boot/syslinux"
         ProgressStopIfError $? "Problem with extlinux -i ${BUILD_DIR}/netfs/boot/syslinux"
-        # add symlink for extlinux.conf
-        ln -sf syslinux.cfg "${BUILD_DIR}/netfs/boot/syslinux/extlinux.conf"
-        ProgressStopIfError $? "Could not create symlinks for extlinux.conf"
+        if [[ -z "$FEATURE_SYSLINUX_GENERIC_CFG" ]]; then
+            # add symlink for extlinux.conf
+            ln -sf syslinux.cfg "${BUILD_DIR}/netfs/boot/syslinux/extlinux.conf"
+            ProgressStopIfError $? "Could not create symlinks for extlinux.conf"
+        fi
         ;;
-    (vfat)
-        syslinux -d /boot/syslinux $REAL_USB_DEVICE
-        ProgressStopIfError $? "Problem with syslinux on $REAL_USB_DEVICE"
+    (ntfs|vfat)
+        Error "Filesystem $usb_filesystem will not be supported."
         ;;
     ("")
         # This should never happen


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.




More information about the rear-users mailing list